
%define _with_check -DBUILD_TESTS=ON

Name:    eigen
Summary: A lightweight C++ template library for vector and matrix math
Version: 1.0.5
Release: 4%{?dist} 
Group:   System Environment/Libraries
# see LICENSE
License: GPLv2+ with exceptions
URL:     http://eigen.tuxfamily.org/
Source:  http://download.tuxfamily.org/eigen/eigen-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildRequires: cmake
#docs
BuildRequires: doxygen graphviz
%if 0%{?fedora} > 8
BuildRequires: tex(latex)
%else
BuildRequires: tetex-latex
#BuildRequires: %{_bindir}/latex
%endif
%{?_with_check:BuildRequires: qt4-devel}

%description
%{summary}

%package devel
Summary: A lightweight C++ template library for vector and matrix math
Group:   Development/Libraries
# -devel subpkg only atm, compat with other distros
Provides: %{name} = %{version}-%{release}
%description devel
%{summary}


%prep
%setup -q -n %{name}


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} %{?_with_check} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

# docs
doxygen


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}


%check
%if 0%{?_with_check:1}
(cd %{_target_platform}/tests ; ctest )
%endif


%clean 
rm -rf %{buildroot}


%files devel
%defattr(-,root,root,-)
%doc LICENSE README TODO
%doc html/
%{_includedir}/eigen/


%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Aug 22 2008 Rex Dieter <rdieter@fedoraproject.org> 1.0.5-3
- run tests

* Tue Mar 18 2008 Rex Dieter <rdieter@fedoraproject.org> 1.0.5-2
- BR: graphviz tex(latex)
- -devel: Provides: %%name (compat with other distros)

* Tue Mar 18 2008 Rex Dieter <rdieter@fedoraproject.org> 1.0.5-1
- fedora'ize

* Fri Jul 06 2007 Helio Chissini de Castro <helio@mandriva.com> 1.0.5-1mdv2008.0
+ Revision: 48943
- import eigen-1.0.5-1mdv2008.0

